Subject: [manet] Advancing draft-clausen-manet-olsrv2-sec-threats

From: Thomas Clausen <[email-masked]>
Date: Mon, 28 Jul 2014 16:22:05 +0200

All,

As announced in Toronto, we’ve submitted draft-clausen-manet-olsrv2-sec-threats. You can find it here:

	http://tools.ietf.org/html/draft-clausen-manet-olsrv2-sec-threats-00

Now, we did not present it in Toronto, since we didn’t manage to get it in before the official deadline — and, we do believe that deadlines are there for a reason. Therefore, this email.

This document has as objective to do to RFC7181 (OLSRv2)  as RFC7186 did to RFC6130 (NHDP): document the threat analysis that we did as part of the design process of the protocol.

This document will, in a coming version, got a bit farther than did RFC7186: given RFC7182 and RFC7183 provides some “mandatory to implement” security mechanisms for OLSRv2, the document will (try to) reflect on how those alleviate some of the threats identified, and point out which (if any) are not yet alleviated.

As a reminder, this document aims for publication as an informational RFC.

It’s very much work in progress, we did submit it only recently during the IETF week, we do think that there’s some work that needs doing, and we therefore do not ask for WG adoption yet.

What we do ask is for those of you working with, building on, extending, deploying, coding, dreaming of (you know who you are…), and otherwise using OLSRv2 to review and give us comments, thoughts, feedback, etc.

We do plan on spinning new revisions fairly frequently in the months to come, or so — and, if all goes according to how we hope it will, we will be ready to be asking for WG adoption towards the end of August.

So, let’s have it… ;)

Respectfully, and for the authors,

Thomas